AutoCad :: Hatch Inner Boundary Of Closed Polyline?
Jul 6, 2012
I am trying to find a command that will hatch the inner edge of a complex closed poly line, rather than hatch the entire area inside the poly line.
When I have simple shapes such as a rectangle I create a smaller rectangle inside the first that is 1' (or whatever I want my hatched area to be) smaller on all sides than the first rectangle. I hatch by selecting the two rectangles; I change the "Associative" hatch property to "No" and then delete the inner rectangle.
My problem now is that I have a complex closed poly line that I would like to hatch the inner perimeter with a set thickness, say 1 foot. Is there an easy way to hatch a inner boundary of a closed poly line or to recreate a scaled down copy of the poly line that is a set distance smaller all around. I hope I have conveyed the question clearly enough.
I have a line drawing from a draftsman. It was imported from some other program, but I'm not sure which. However, this has cropped up many times over the years on my drawings as well as others. It just is typically quickly remedied with a workaround.
The hatch spacing too dense issue requiring me to break up the area: this problem will occur on equally sized areas at the same zoom factor at which I just hatched an adjacent area. I have changed the "MaxHatch" variable environment from stock at 10k, to 100k, then to 1,000k; yet the problem persists. I don't have a particularly fast machine so by that point I decided there was no need to max the variable at 10,000k. There are no z variables in the drawing though it appears, almost randomly, to have plines or lines along the same length of wall.
The second issue is the closed boundary. This occurs on lines that are connected at all corners, even when I stretch and reconnect a line, though that is a very time consuming method. When I increase the hgaptol variable it will hatch bizzarre areas that have no relation to what I am attempting to hatch. This is also occuring even inside a REC that I created just prior to hatching due to error on the original layout. I have to hatch an object rather than select an internal point. It has become so obnoxious in this drawing that I decided to post with these questions.
I always get the message after I make a closed boundary polygon, and I know it's a closed boundary, but I know how to fix it. It just bugs me sometimes when the message pops up when I add it as a boundary under the definition of a surface.
I have used PEDIT to join multiple polylines, which now appear as polylines. But when I use QSELECT to show all open (non-closed) section, one polyline still shows up as open.
I've attached the file I'm working on. The polyline in question is the green outline on the object on the right.
I have a hatch (ANSI31) enclosed by a closed polyline. Whenever I change the hatch from ANSI31 to GRAVEL some of the hatch shows up outside the boundary. The Polyline consists of both arcs and line segments, and the hatching errors are occurring within the radius of the arc segments. Changing it from Associative to Non Associative makes no change.
I have a problem in that a customer drawing, actually several cutomer drawings are not closed polylines. tHEY ARE REASONABLY SIMPLE PROFILES THAT i NEED TO CUT OUT ON A CNC ROUTER. mY PROBLEM BEING THAT AS THEY ARE NOT CLOSED the router software will not recognise them properly. Is there anyway to find out where exactly on the profile the gap is with zooming right in and panning around?
I've attached a screenshot of the issue I'm dealing with. I have a closed polyline and when I first hatch the area it appears to be correct, but then I'll go do another command and then the hatch seems to extend beyond the boundaries of the polyline.
In 2010 I would select hatch, and then just drag grips around to where I needed them. Now in 2011, I select hatch and don't get the grips. How do I turn those grips back on?
Annoying time spend waiting while acad automatically detects hatch boundary? - usually a boundary of some sort, thats completely useless anyway.
I'm seeking full control and want to select the boundaries myself and hope some of you can tell how to switch off or avoid this automatic process of boundary detection that usually follows "h" ↵ ( "hatch" ↵ or "bhatch" ↵ ).
i am trying to put a hatch down and am gettin this error 'Valid hatch boundary not found'. now am quite sure the area is enclosed so as far as i can see their should be an issue. the areas autocad is referring me to are are link together and have been replaced but i still get the same issue, when i max out the zoom their is only a tiny dot
I need to convert my surface boundary to a polyline so I can use it to clip another surface. Is there a simpler way than tracing it with the polyline command?
Is there a command or lisp that will allow you to select a closed polyline and trim everything outside of it even if the items are blocks that aren’t exploded?
When I try to extrude this closed polyline (yes it is closed) I get the message "Cannot sweep or extrude a self-intersecting curve." I do this sort of extrusion all the time (closed polylines with various geometry) and usually have no trouble.
I am working on a complex industrial site. And I would like a constant grade of 3.00% from my road intersections to the edge of curves. I know if I used a corridor, I'd be able to tell the grading to project ot the edge of the road/curve.
I'm just wondering if I can tell a grading object to project to a polyline or feature line along a intersection curve? There are many reasons as to why I'm not using corridors for this project, but I don't want to get into that.
I've just made the dramatic leap from AutoCAD LT 2005 to AutoCAD LT 2013. By far and away the environment in 'Classic" mode is very familiar and there are some new features. However, one item really getting under my skin is the hatch feature. In LT 2005 one could pick the points to hatch, if the item is closed or not, by individual mouse click points similar to how you can still check an area now. Is this hatch feature still available and I just don't have the new program configured properly or will I be forced to draw each item I want to hatch as a 'closed' element?
I've been using the admittedly pieced together code in order to insert border blocks around a closed polyline. Yhe problem I'm having is that when the Block angle is say "zero" the block is inserted the same way both on top and below the polyline. Since the blocks surround the polyline the blocks on the downside should have an additional 180 degree rotation. How to deduct that the portion of the polyline is in a certain quadrant and adjust the insertion angle as necc? I 'm not sure thats even the best approach.
Dim pso As PromptStringOptions = New PromptStringOptions("Enter name of block to create reference: ") Dim pr As PromptResult = myEd.GetString(pso) Dim blkName As String = pr.StringResult 'If (!bt.Has(blkName)) Then
I have a method for inserting a vertex to a polyline. But this does not work for closed polylines for the case shown below. The code fails if the point is on the last edge of the polyline.
public void AddVertexOnPolyline(Point3d addPoint,Polyline editPolyline) { Document acDoc = Autodesk.AutoCAD.ApplicationServices.Core.Application.DocumentManager.MdiActiveDocu
I was wondering if there is a settings for the displayed values in a polyline's properties. Such as area. Normally it will display square feet but I would like for it to also display acres. I know it a simple conversion, but over the course of a year or more it could save me alot of time.
I need a lisp that can remove all objects (lines, polylines, blocks etc.) outside of a polyline. polyline is closed and shape is variable, so not rectangle.
I cant do booleans with polylines, for that I need to convert them to regions which I dislike because I lose edit vertex capabilities right? Also, from a region, how can I convert a region to a closed polyline in one go.